Bug 55998 - Init Script (/etc/rc.d/init.d/iptables) incorrect.
Summary: Init Script (/etc/rc.d/init.d/iptables) incorrect.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-10 03:55 UTC by Matt Watts
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-10 03:55:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Watts 2001-11-10 03:55:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
The latest script fails to properly execute iptables-restore leaving the
firewall wide-open upon reboot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure firewall with iptables commands
2.Execute /etc/rc.d/init.d/iptables save
3.Reboot machine
4.Login and execute iptables -L
	

Actual Results:  Default entries in iptables as if executing
/etc/rc.d/init.d/iptables stop

Expected Results:  Should have had all firewall rules as loaded prior to
reboot.

Additional info:

I have modified the Init Script file to correct this issue.
ftp://wattscomputers.com/pub/fixes/iptables


The issue initially occured when using up2date which downloaded and
installed iptables-1.2.4-0.71.2.i386.rpm

Comment 1 Bernhard Rosenkraenzer 2001-11-12 13:05:20 UTC
Get the 1.2.4 package from errata - it fixes this and a couple of other 
security problems.



Note You need to log in before you can comment on or make changes to this bug.